| Home | Libraries | People | FAQ | More

## Function template from_ftime

boost::posix_time::from_ftime —

Function to create a time object from an initialized FILETIME struct.

## Synopsis

    template<typename time_type> time_type from_ftime(const FILETIME & ft);

## Description

Function to create a time object from an initialized FILETIME struct. A FILETIME struct holds 100-nanosecond units (0.0000001). When built with microsecond resolution the FILETIME's sub second value will be truncated. Nanosecond resolution has no truncation.

Note ftime is part of the Win32 API, so it is not portable to non-windows platforms.

| Copyright © 2001-2004 CrystalClear Software, Inc